import { BigNumber } from 'ethers';
import { Event } from './Event';
import { EventBase } from './types';
export interface BundleCommitted extends EventBase {
    bundleId: string;
    bundleRoot: string;
    bundleFees: BigNumber;
    toChainId: number;
    commitTime: number;
}
export declare class BundleCommittedEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").BundleCommittedEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<BundleCommitted[]>;
    toTypedEvent(ethersEvent: any): BundleCommitted;
}
//# sourceMappingURL=BundleCommitted.d.ts.map