import { Event } from './Event';
import { EventBase } from './types';
export interface BundleSet extends EventBase {
    bundleId: string;
    bundleRoot: string;
    fromChainId: number;
}
export declare class BundleSetEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").BundleSetEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<BundleSet[]>;
    toTypedEvent(ethersEvent: any): BundleSet;
}
//# sourceMappingURL=BundleSet.d.ts.map