import { Event } from './Event';
import { EventBase } from './types';
export interface MessageExecuted extends EventBase {
    messageId: string;
    fromChainId: number;
}
export declare class MessageExecutedEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").MessageExecutedEventFilter;
    getMessageIdFilter(messageId: string): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").MessageExecutedEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<MessageExecuted[]>;
    toTypedEvent(ethersEvent: any): MessageExecuted;
}
//# sourceMappingURL=MessageExecuted.d.ts.map