import { Event } from '../Event';
import { EventBase } from '../types';
export interface ConfirmationSent extends EventBase {
    tokenId: string;
    toChainId: number;
}
export declare class ConfirmationSentEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/ERC721Bridge").TokenSentEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<ConfirmationSent[]>;
    toTypedEvent(ethersEvent: any): ConfirmationSent;
}
//# sourceMappingURL=ConfirmationSent.d.ts.map