import { Event } from '../Event';
import { EventBase } from '../types';
export interface TokenSent extends EventBase {
    toChainId: number;
    to: string;
    tokenId: string;
    newTokenId: string;
}
export declare class TokenSentEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/ERC721Bridge").TokenSentEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<TokenSent[]>;
    toTypedEvent(ethersEvent: any): TokenSent;
}
//# sourceMappingURL=TokenSent.d.ts.map