import { providers } from 'ethers';
import { L1_xDaiAMB, L2_xDaiAMB } from '@hop-protocol/core/contracts';
export declare class GnosisChainRelayer {
    network: string;
    l1Provider: any;
    l2Provider: any;
    l1AmbAddress: string;
    l2AmbAddress: string;
    constructor(network: string, l1Provider: providers.Provider, l2Provider: providers.Provider);
    getL1Amb(): L1_xDaiAMB;
    getL2Amb(): L2_xDaiAMB;
    getExitPopulatedTx(l2TxHash: string): Promise<any>;
    getValidSigEvent(l2TxHash: string): Promise<import("@hop-protocol/core/contracts/static/L2_xDaiAMB").UserRequestForSignatureEvent>;
}
//# sourceMappingURL=GnosisChainRelayer.d.ts.map