interface IResult {
    id: string;
    symbol: string;
    name: string;
    image: string;
    priceUsd: number;
}
export declare class CoinGecko {
    apiKey: string;
    private _baseUrl;
    private _maxPerPage;
    private _maxPages;
    private _tokenSymbolAddressMap;
    constructor(apiKey?: string);
    private _nonEthTokens;
    getPriceByTokenSymbol: (symbol: string, base?: string) => Promise<number>;
    getPricesByTokenSymbol: (symbols: string[], base?: string) => Promise<number[]>;
    getPricesByTokenAddresses: (allAddresses: string[], base?: string) => Promise<number[]>;
    getAllTokenPrices: (base?: string) => Promise<IResult[]>;
    private _normalizePrice;
}
export {};
//# sourceMappingURL=CoinGecko.d.ts.map