"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MerkleTree = void 0;
const merkletreejs_1 = require("merkletreejs");
const utils_1 = require("ethers/lib/utils");
class MerkleTree extends merkletreejs_1.MerkleTree {
    constructor(messageIds) {
        super(messageIds, utils_1.keccak256);
    }
    static from(messageIds) {
        return new MerkleTree(messageIds);
    }
}
exports.MerkleTree = MerkleTree;
