import { Event } from './Event';
import { EventBase } from './types';
export interface BundleForwarded extends EventBase {
    bundleId: string;
    bundleRoot: string;
    fromChainId: number;
    toChainId: number;
}
export declare class BundleForwardedEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/HubMessageBridge").BundleForwardedEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<BundleForwarded[]>;
    toTypedEvent(ethersEvent: any): BundleForwarded;
}
//# sourceMappingURL=BundleForwarded.d.ts.map