import { EventContext } from './types';
import { providers } from 'ethers';
export declare class Event {
    provider: providers.Provider;
    chainId: number;
    batchBlocks: number;
    address: string;
    eventName: string;
    constructor(provider: any, chainId: number, batchBlocks: number, address: string);
    _getEvents(filter: any, fromBlock: number, toBlock?: number): Promise<any[]>;
    populateEvents(events: any[]): Promise<any[]>;
    toTypedEvent(ethersEvent: any): any;
    addContextToEvent(event: any, chainId: number): Promise<any>;
    getEventContext(event: any, chainId: number): Promise<EventContext>;
    getChainSlug(chainId: number): string;
}
//# sourceMappingURL=Event.d.ts.map