import { BigNumber } from 'ethers';
import { Event } from './Event';
import { EventBase } from './types';
export interface FeesSentToHub extends EventBase {
    amount: BigNumber;
}
export declare class FeesSentToHubEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").FeesSentToHubEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<FeesSentToHub[]>;
    toTypedEvent(ethersEvent: any): FeesSentToHub;
}
//# sourceMappingURL=FeesSentToHub.d.ts.map