import { Event } from './Event';
import { EventBase } from './types';
export interface MessageBundled extends EventBase {
    bundleId: string;
    treeIndex: number;
    messageId: string;
}
export declare class MessageBundledEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").MessageBundledEventFilter;
    getBundleIdFilter(bundleId: string): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").MessageBundledEventFilter;
    getMessageIdFilter(messageId: string): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").MessageBundledEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<MessageBundled[]>;
    toTypedEvent(ethersEvent: any): MessageBundled;
}
//# sourceMappingURL=MessageBundled.d.ts.map