import { Event } from './Event';
import { EventBase } from './types';
export interface MessageSent extends EventBase {
    messageId: string;
    from: string;
    toChainId: number;
    to: string;
    data: string;
}
export declare class MessageSentEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").MessageSentEventFilter;
    getMessageIdFilter(messageId: string): import("@src/../../v2-core/contracts/generated/SpokeMessageBridge").MessageSentEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<MessageSent[]>;
    toTypedEvent(ethersEvent: any): MessageSent;
}
//# sourceMappingURL=MessageSent.d.ts.map