import { Event } from '../Event';
import { EventBase } from '../types';
export interface TokenConfirmed extends EventBase {
    tokenId: string;
}
export declare class TokenConfirmedEventFetcher extends Event {
    eventName: string;
    getFilter(): import("@src/../../v2-core/contracts/generated/ERC721Bridge").TokenSentEventFilter;
    getEvents(startBlock: number, endBlock: number): Promise<TokenConfirmed[]>;
    toTypedEvent(ethersEvent: any): TokenConfirmed;
}
//# sourceMappingURL=TokenConfirmed.d.ts.map